/** WIP WBL pour utiliser des variables CSS */
.gaapse {
    --app-name: gaapse;
    --app-bg-header: #02965A;
    --app-picto-white: url(../img/picto-gaapse-white.svg);    --app-picto-color: url(../img/picto-gaapse-color.svg);}

header[role="banner"] .fr-header__service {
    background-image: var(--app-picto-color);
}

header[role="banner"].header-color .fr-header__body,
header[role="banner"].header-color .fr-header__brand {
    background-color: var(--app-bg-header);
}

header[role="banner"].header-color .fr-header__service {
    background-image: var(--app-picto-white);
}

/** FIN WIP WBL pour utiliser des variables CSS */




header[role="banner"] .fr-header__service-title {
    text-transform: uppercase;
}

header[role="banner"].header-color .fr-header__body {
    overflow: hidden;
}

.header-white .fr-header__tools-links .fr-btn {
    color: black !important;
}

header[role="banner"] .fr-header__body {
    background-image: none !important;
}

#modal-main-menu .connexion {
    color: black !important;
}

header[role="banner"] .connexion {
    font-weight: 500;
    color: black;
    font-size: 14px !important;
}

header[role="banner"] .fr-header__logo {
    padding-left: 0;
    padding-right: 0;
    margin-right: 0;
}

header[role="banner"] .gn-logo {
    background-size: contain;
    width: 180px;
    background-position: left center;
    background-image: url(../img/logo.svg);

}

header[role="banner"].header-color .gn-logo {
    background-image: url(../img/logo-white.svg);
}

header[role="banner"].header-color .fr-header__logo {
    margin-right: 25px;
    z-index: 1;
}

header[role="banner"].header-color .fr-header__brand-top {
    position: relative;
}

/** fix for DSFR 1.11.0+ */
header[role="banner"] .fr-header__brand-top + a {
    /* width: -moz-available;
    width: -webkit-fill-available;
    width: stretch; */
    display: contents;
}

header[role="banner"] .fr-header__brand-top + a:where(:hover, :active) {
    background-color: transparent;
    color: unset;
    text-decoration: underline;
    text-underline-position: under;
    text-decoration-thickness: 1px;
}
/** end fix for DSFR 1.11.0+ */

header[role="banner"].header-color {
    color: white;
}

header[role="banner"].header-color .fr-header__tools a {
    color: white;
    background-color: transparent !important;
}

header[role="banner"] .fr-header__tools a {
    color: black;
}

header[role="banner"] .fr-header__service {
    background-size: 78px;
    background-repeat: no-repeat;
    padding-left: 92px;
    background-position: 0 center;
    padding-top: 30px;
    padding-bottom: 30px;
    box-shadow: inset 0 1px 0 0 rgb(0, 0, 0, 0.5);
    min-height: 138px;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

header[role="banner"].header-color .fr-header__service {
    box-shadow: inset 0 1px 0 0 rgb(255, 255, 255, 0.5);
}

header[role="banner"].header-color .fr-header__navbar .fr-btn--menu::before {
    background-color: white;
}

@media (min-width: 62em) {
    header[role="banner"].header-color .fr-header__brand-top::before {
        content: "";
        position: absolute;
        background-color: white !important;
        width: 3000px;
        right: 0;
        top: -8px;
        height: 3000px;
    }

    header[role="banner"].header-color .gn-logo {
        background-image: url(../img/logo.svg);
    }

    header[role="banner"] .fr-header__service {
        box-shadow: inset 0 1px 0 0 rgb(255, 255, 255, 0) !important;
        background-position: 25px center;
        padding: 1rem 1rem 1rem 132px;
        display: block;
        min-height: inherit;
    }
}

/** fix for DSFR 1.11.0+ */

header[role="banner"].header-color .fr-header__brand-top {
    overflow: unset;
    /* to mitigate DSFR 1.11.0+ where it is set to hidden */
}

header[role="banner"].header-color .fr-header__service {
    color: white;
}

@media (width > 62em) {

    header[role="banner"] .fr-header__brand-top {
        width: auto;
        min-width: 180px;
    }

    header[role="banner"].header-color .fr-header__brand-top::before {
        top: -2rem;
        height: 200px;
    }
}

@media (width < 62em) {
    header[role="banner"] .fr-header__service:before {
        content: none;
    }

    header[role="banner"] .fr-header__service {
        width: 100%;
    }
}
